import * as $dara from '@darabonba/typescript';
export declare class CreateAntiBruteForceRuleResponseBodyCreateAntiBruteForceRule extends $dara.Model {
    /**
     * @remarks
     * The ID of the defense rule.
     *
     * @example
     * 65778
     */
    ruleId?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAntiBruteForceRuleResponseBody extends $dara.Model {
    /**
     * @remarks
     * The information about the defense rule.
     */
    createAntiBruteForceRule?: CreateAntiBruteForceRuleResponseBodyCreateAntiBruteForceRule;
    /**
     * @remarks
     * The ID of the request, which is used to locate and troubleshoot issues.
     *
     * @example
     * F35F45B0-5D6B-4238-BE02-A62D0760E840
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
